Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 824270 - media-libs/libsdl2-2.0.16-r1: SDL_egl.c:300:53: error: ‘F_OK’ undeclared (first use in this function)
Summary: media-libs/libsdl2-2.0.16-r1: SDL_egl.c:300:53: error: ‘F_OK’ undeclared (fir...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: ARM64 Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-17 21:52 UTC by korte
Modified: 2021-12-18 23:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,191.43 KB, text/x-log)
2021-11-17 21:56 UTC, korte
Details
emerge --info '=media-libs/libsdl2-2.0.16-r1::gentoo' (emerge--info_libsdl2.txt,6.01 KB, text/plain)
2021-11-17 21:58 UTC, korte
Details
emerge -pqv '=media-libs/libsdl2-2.0.16-r1::gentoo' (emerge-pqv_libsdl2.txt,308 bytes, text/plain)
2021-11-17 21:59 UTC, korte
Details
build.log with ansifilter (build.log,191.05 KB, text/plain)
2021-11-17 22:03 UTC, korte
Details
build.log patch from bug 741490, attachment 732343 (build.log,2.62 KB, text/x-log)
2021-11-18 06:23 UTC, korte
Details

Note You need to log in before you can comment on or make changes to this bug.
Description korte 2021-11-17 21:52:21 UTC
I am trying to emerge libsdl2 as a dependency of games. In the beginning I used -Os but I am switching to -O2. VIDEO_CARDS=vc4 can be a source of problem, too, since I don't get the full graphic acceleration to work ("OpenGL renderer string: llvmpipe (LLVM 13.0.0, 128 bits").
Hardware is a Raspberry Pi 400.

Reproducible: Always
Comment 1 korte 2021-11-17 21:53:55 UTC
Portage 3.0.28 (python 3.9.7-final-0, default/linux/arm64/17.0, gcc-11.2.0, glibc-2.33-r7, 5.10.11-v8 aarch64)
=================================================================
System uname: Linux-5.10.11-v8-aarch64-with-glibc2.33
KiB Mem:     3833856 total,    469616 free
KiB Swap:    4194300 total,   3225080 free
Timestamp of repository gentoo: Wed, 17 Nov 2021 19:30:01 +0000
Head commit of repository gentoo: dff881f9dfcbf563f3ccb5ae4bc7cb2591887519
sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
ccache version 4.4.2 [enabled]
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.34.0-r3::gentoo
dev-lang/python:          3.8.12_p1::gentoo, 3.9.7_p1::gentoo
dev-lang/rust:            1.56.1::gentoo
dev-util/ccache:          4.4.2::gentoo
dev-util/cmake:           3.20.5::gentoo
sys-apps/baselayout:      2.7-r3::gentoo
sys-apps/openrc:          0.44.8::gentoo
sys-apps/sandbox:         2.25::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:       1.16.4::gentoo
sys-devel/binutils:       2.37_p1::gentoo
sys-devel/gcc:            11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts:
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 50

salfter
    location: /var/lib/layman/salfter
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="arm64"
ACCEPT_LICENSE="* @EULA"
CBUILD="aarch64-unknown-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="aarch64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -march=native"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-
warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=native"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X \ aalib acl alsa apng arm64 bittorrent bluetooth bogofilter brotli bzip2 cacert cairo cdda cddb cli codec2 crypt cups curl dbus dri egl elogind encode evdev exif faac faad ffmpeg flac fortran gdbm ghcbootstrap gif gles1 gles2 gpg gstreamer gtk gtk2 gtk3 harfbuzz hddtemp iconv icu id3tag inotify ipv6 ithreads ji
ngle jpeg kms libglvnd libmpeg2 libnotify libtirpc lzma lzo mad matroska metalink midi mikmod minizip mod modplug mp3 mpeg ncurses network nls nptl offlinehelp ogg omemo openal opengl openh264 openmp opus pam pcre pdf pdfimport perl png postproc pulseaudio rar readline rtmp samba seccomp sftp smime snappy sox speech s
peex spell split-usr ssh ssl svg taglib text theora threads tiff timidity tk toolame tremor truetype twolame unicode upnp usb v4l verify-sig vorbis wavpack webp x264 x265 xattr xface xml xmlrpc xorg xpm xvid zeroconf zip zlib zstd" ADA_TARGET="gnat_2019" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actio
ns alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_
magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_ARM="crc32 edsp thumb thumb2 v4 v5 v6 v7 v8 vfp vfp-d32 vfpv3 vfpv4" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aiv
dm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm00
1 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26
 ruby27" USERLAND="GNU" VIDEO_CARDS="fbdev v3d vc4" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 2 korte 2021-11-17 21:56:03 UTC
Created attachment 752058 [details]
build.log
Comment 3 korte 2021-11-17 21:58:18 UTC
Created attachment 752062 [details]
emerge --info '=media-libs/libsdl2-2.0.16-r1::gentoo'
Comment 4 korte 2021-11-17 21:59:20 UTC
Created attachment 752066 [details]
emerge -pqv '=media-libs/libsdl2-2.0.16-r1::gentoo'
Comment 5 korte 2021-11-17 22:03:22 UTC
Created attachment 752070 [details]
build.log with ansifilter
Comment 6 Tee KOBAYASHI 2021-11-18 03:05:25 UTC
Seems like a duplicate of https://bugs.gentoo.org/741490 (for libsdl2-2.0.12-r2).
Comment 7 korte 2021-11-18 06:21:18 UTC
(In reply to Tee KOBAYASHI from comment #6)
> Seems like a duplicate of https://bugs.gentoo.org/741490 (for
> libsdl2-2.0.12-r2).

Yes. I tried to use the patch from https://bugs.gentoo.org/741490#c26 but it didn't work, the patch couldn't be applied. build.log follows
Comment 8 korte 2021-11-18 06:23:07 UTC
Created attachment 752130 [details]
build.log patch from bug 741490, attachment 732343 [details, diff]
Comment 9 Tee KOBAYASHI 2021-11-18 07:40:55 UTC
That was not intended to apply as a user patch.

Try https://bugs.gentoo.org/attachment.cgi?id=752310 instead. To use this make sure that "video_cards_vc4" USE flag is set (VIDEO_CARDS="vc4") and that media-libs/raspberrypi-userland is already merged.
Comment 10 korte 2021-11-18 08:54:33 UTC
(In reply to Tee KOBAYASHI from comment #9)
> That was not intended to apply as a user patch.
> 
> Try https://bugs.gentoo.org/attachment.cgi?id=752310 instead. To use this
> make sure that "video_cards_vc4" USE flag is set (VIDEO_CARDS="vc4") and
> that media-libs/raspberrypi-userland is already merged.

Thanks, libsdl2 was emerged. Now I will compile a game.
Comment 11 korte 2021-11-18 09:36:24 UTC
Everything looks good.
Comment 12 korte 2021-12-18 23:29:18 UTC
Imho this bug can be closed. If I recall it right, the VIDEO_CARDS="fbdev v3d vc4" was lacking v3d.